[问题]How to install sun-java5-bin

为当前最终发行版之前的所有版本提供支持
回复
djboy
帖子: 6
注册时间: 2006-07-04 16:13
送出感谢: 0
接收感谢: 0

[问题]How to install sun-java5-bin

#1

帖子 djboy » 2006-07-04 16:19

When I install it. There is some problem. Thank you for your answer.

djboy@djboy-desktop:~$ sudo apt-get install sun-java5-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java5-jre: 依赖: sun-java5-bin (= 1.5.0-06-1) 但是它将不会被安装 或
ia32-sun-java5-bin (= 1.5.0-06-1) 但却无法安装它
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
djboy@djboy-desktop:~$ sudo apt-get install sun-java5-jre 正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java5-jre: 依赖: sun-java5-bin (= 1.5.0-06-1) 但是它将不会被安装 或
ia32-sun-java5-bin (= 1.5.0-06-1) 但却无法安装它
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
头像
oneleaf
论坛管理员
帖子: 10218
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 102 次

#2

帖子 oneleaf » 2006-07-04 16:34

try:
sudo apt-get install sun-java5-bin
看看什么错误提示?
djboy
帖子: 6
注册时间: 2006-07-04 16:13
送出感谢: 0
接收感谢: 0

#3

帖子 djboy » 2006-07-04 16:52

Thank you!
apt-get install sun-java5-jre sun-java5-plugin sun-java5-fonts sun-java5-bin is OK.
回复

回到 “老旧版本支持”